
QGIS Application - Bug report #9547

DXF does not load if file extension is missing

2014-02-12 06:28 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18134

Description

See the attached file

Related issues:

Related to QGIS Application - Bug report # 12929: XML file freezes QGIS 2.8.2... Closed 2015-06-10

History

#1 - 2014-02-12 07:07 AM - Jürgen Fischer

No file attached.

#2 - 2014-02-12 07:07 AM - Jürgen Fischer

- Status changed from Open to Feedback

#3 - 2014-02-12 10:30 PM - Paolo Cavallini

- File test.zip added

Oops, sorry. Here it is.

#4 - 2014-06-23 05:52 AM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to master

- Target version set to Future Release - Lower Priority

- Status changed from Feedback to Open

- Subject changed from DXF created with QGIS is not loaded back to DXF does not loads if file extension is missing

If the file has the extension it load correctly, if it does not then

Invalid Data Source: /home/giovanni/Desktop/test is not a valid or recognized data source

#5 - 2015-04-09 06:04 AM - Paolo Cavallini

- Subject changed from DXF does not loads if file extension is missing to DXF does not load if file extension is missing

#6 - 2015-06-11 02:19 PM - Jürgen Fischer

- Target version changed from Future Release - Lower Priority to Future Release - Nice to have

- Resolution set to up/downstream
- Priority changed from Normal to Low

$ ogrinfo test

Unable to open datasource `test' with the following drivers.

  -> ESRI Shapefile

[...]

  -> SXF

$ ogrinfo test.dxf

INFO: Open of `test.dxf'

      using driver `DXF' successful.

1: entities

Apparently a "problem" of the OGR driver.

#7 - 2015-06-12 12:31 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution changed from up/downstream to invalid

Renaming the file solves the issue:

ogrinfo test.dxf 

INFO: Open of `/home/paolo/Scrivania/butta/qgis_test/test.dxf'

      using driver `DXF' successful.

1: entities

Forwarding it upstream.

Thanks.

Files

test.zip 34.4 KB 2014-02-12 Paolo Cavallini
